_AS_STRINGS = {};
_AS_STRINGS.ONEDRIVE = {};
_AS_STRINGS.ONEDRIVE.SIGN_IN = 'Anmelden';
_AS_STRINGS.ONEDRIVE.ACCOUNT_INFORMATION = 'Informationen';
_AS_STRINGS.ONEDRIVE.LOCATION = 'Lokalen Sync-Ordner';
_AS_STRINGS.ONEDRIVE.UNLINK = 'Verbindung zu diesem NAS lösen';
_AS_STRINGS.ONEDRIVE.NAME = 'Konto';
_AS_STRINGS.ONEDRIVE.LINK = 'OneDrive Ort';
_AS_STRINGS.ONEDRIVE.QUOTA = 'Gesamtkapazität';
_AS_STRINGS.ONEDRIVE.AVAILABLE = 'Verfügbar';
_AS_STRINGS.ONEDRIVE.STATUS = 'Status';

//status
_AS_STRINGS.ONEDRIVE.START = 'Fortfahren';
_AS_STRINGS.ONEDRIVE.STOP = 'Pause';
_AS_STRINGS.ONEDRIVE.SOME_FILES_CANNOT_BE_SYNCHRONIZED = 'Some files cannot be synchronized. Click {0}here{1} to view the list.';
_AS_STRINGS.ONEDRIVE.FILE_LIST = 'File list';
_AS_STRINGS.ONEDRIVE.SYNCHRONIZATION_FAILED = 'Synchronization failed.';

// Error messages
_AS_STRINGS.ONEDRIVE.FILE_IS_BUSY = 'Can not lock the configuration file.';
_AS_STRINGS.ONEDRIVE.KEY_REJECTED = 'Key was rejected by service.';
_AS_STRINGS.ONEDRIVE.OUT_OF_MEMORY = 'System hat keinen freien Speicherplatz mehr.';
_AS_STRINGS.ONEDRIVE.DEAMON_NOT_RUN = 'Daemon is not running, please enable OneDrive.';
_AS_STRINGS.ONEDRIVE.USER_NOT_LOGIN = 'User is not login.';
_AS_STRINGS.ONEDRIVE.FILE_SYSTEM_READ_ONLY = 'File system is Read only.';
_AS_STRINGS.ONEDRIVE.AUTHENTICATION_CODE_ERROR = 'Authentication code is error.';

//Settings

_AS_STRINGS.ONEDRIVE.SELECTED_FOLDER_NAME = 'Neues lokalen Sync-Ordner';
_AS_STRINGS.ONEDRIVE.CURRENT_FOLDER_NAME = 'Aktuelle lokalen Sync-Ordner';
_AS_STRINGS.ONEDRIVE.FOLDER_SETTINGS = 'Ordner Einstellungen';
_AS_STRINGS.ONEDRIVE.PLEASE_SELECT_LOCAL_FOLDER = 'Einen lokalen Sync-Ordner wählen';
_AS_STRINGS.ONEDRIVE.DO_NOT_SYNC_FOLDER = 'Wählen Sie einen oder mehrere Microsoft Onedrive Ordner, die synchronisiert werden sollen.';
_AS_STRINGS.ONEDRIVE.FILE_FILTER = 'Filter';
_AS_STRINGS.ONEDRIVE.TRAFFIC_CONTROL = 'Bandbreitenbeschränkung';
_AS_STRINGS.ONEDRIVE.SIZE_LIMIT = 'Datei Größe überschreitet';
_AS_STRINGS.ONEDRIVE.UPLOAD_LIMIT = 'Beschränkte maximale Upload-Geschwindigkeit(KB/s)';
_AS_STRINGS.ONEDRIVE.DOWNLOAD_LIMIT = 'Beschränkte maximale Download-Geschwindigkeit(KB/s)';
_AS_STRINGS.ONEDRIVE.UPLOAD_DOWNLOAD = 'Syncronization Settings';
_AS_STRINGS.ONEDRIVE.KEEP_EXTRA = 'Werden beim Löschen von Dateien auf dem Quelle  die entsprechenden Dateien vom Ziel gelöscht.';
_AS_STRINGS.ONEDRIVE.SYNCHRONIZITION = 'Synchronisierung (2-Wege)';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_TO_NAS = 'OneDrive zu NAS (ein Weg)';
_AS_STRINGS.ONEDRIVE.NAS_TO_ONEDRIVE = 'NAS zu OneDrive (ein Weg)';
_AS_STRINGS.ONEDRIVE.FILTER_TEXT = 'Dateiausschlüsse: Hier können Sie Filterregeln festlegen. Eine Datei wird nicht synchronisiert, wenn sie eine der unten konfigurierten Bedingungen erfüllt.';

//Filter Type
_AS_STRINGS.ONEDRIVE.DOCUMENT = 'Dokumente';
_AS_STRINGS.ONEDRIVE.VIDEO = 'Video';
_AS_STRINGS.ONEDRIVE.MUSIC = 'Audio';
_AS_STRINGS.ONEDRIVE.PHOTO = 'Bilder';
_AS_STRINGS.ONEDRIVE.APPLICATION = 'Anwendungen';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_1 = 'Nur eine Filterregel kann jeweils hinzugefügt werden.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_2 = 'Durch Eingabe von *.abc werden alle Dateien mit der Dateiendung  abc ausgeschlossen.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_3 = 'Durch Eingabe von abc.* werden alle Dateien mit dem Namen abc ausgeschlossen.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_4 = 'Durch Eingabe von *abc* werden alle Dateien mit Namen, die abc enthalten, ausgeschlossen.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_5 = 'Ein Sternchen kann als Platzhalter nur am Anfang oder Ende einer Filterregel verwendet werden, nicht in der Mitte des Wortes.';

//Config panel
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_TEXT = 'Hinweis: Aufgrund der Einschränkungen von Microsoft Microsoft OneDrive, werden die Dateien in den folgenden Fällen nicht synchronisiert.';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_RULE1 = '(1) Microsoft OneNote Dateien';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_RULE2 = '(2) Für Einschränkungen bei der Datei- und Ordnerverarbeitung, klicken Sie bitte {0}hier{1}.';

