_AS_STRINGS = {};
_AS_STRINGS.ONEDRIVE = {};
_AS_STRINGS.ONEDRIVE.SIGN_IN = 'Sign In';
_AS_STRINGS.ONEDRIVE.ACCOUNT_INFORMATION = 'Information';
_AS_STRINGS.ONEDRIVE.LOCATION = 'Local sync folder';
_AS_STRINGS.ONEDRIVE.UNLINK = 'Unlink this NAS';
_AS_STRINGS.ONEDRIVE.NAME = 'Account';
_AS_STRINGS.ONEDRIVE.LINK = 'OneDrive Location';
_AS_STRINGS.ONEDRIVE.QUOTA = 'Total capacity';
_AS_STRINGS.ONEDRIVE.AVAILABLE = 'Available';
_AS_STRINGS.ONEDRIVE.STATUS = 'Status';

//status
_AS_STRINGS.ONEDRIVE.START = 'Resume';
_AS_STRINGS.ONEDRIVE.STOP = 'Pause';
_AS_STRINGS.ONEDRIVE.SOME_FILES_CANNOT_BE_SYNCHRONIZED = 'Some files cannot be synchronized. Click {0}here{1} to view the list.';
_AS_STRINGS.ONEDRIVE.FILE_LIST = 'File list';
_AS_STRINGS.ONEDRIVE.SYNCHRONIZATION_FAILED = 'Synchronization failed.';

// Error messages
_AS_STRINGS.ONEDRIVE.FILE_IS_BUSY = 'Can not lock the configuration file.';
_AS_STRINGS.ONEDRIVE.KEY_REJECTED = 'Key was rejected by service.';
_AS_STRINGS.ONEDRIVE.OUT_OF_MEMORY = 'Out of memory.';
_AS_STRINGS.ONEDRIVE.DEAMON_NOT_RUN = 'Daemon is not running, please enable OneDrive.';
_AS_STRINGS.ONEDRIVE.USER_NOT_LOGIN = 'User is not login.';
_AS_STRINGS.ONEDRIVE.FILE_SYSTEM_READ_ONLY = 'File system is Read only.';
_AS_STRINGS.ONEDRIVE.AUTHENTICATION_CODE_ERROR = 'Authentication code is error.';

//Settings

_AS_STRINGS.ONEDRIVE.SELECTED_FOLDER_NAME = 'New Local Sync Folder';
_AS_STRINGS.ONEDRIVE.CURRENT_FOLDER_NAME = 'Current Local Sync Folder';
_AS_STRINGS.ONEDRIVE.FOLDER_SETTINGS = 'Folder Settings';
_AS_STRINGS.ONEDRIVE.PLEASE_SELECT_LOCAL_FOLDER = 'Select a local sync folder.';
_AS_STRINGS.ONEDRIVE.DO_NOT_SYNC_FOLDER = 'Select the OneDrive folder(s) which will be synced.';
_AS_STRINGS.ONEDRIVE.FILE_FILTER = 'Filter';
_AS_STRINGS.ONEDRIVE.TRAFFIC_CONTROL = 'Bandwidth Limitation';
_AS_STRINGS.ONEDRIVE.SIZE_LIMIT = 'File size exceeds (MB)';
_AS_STRINGS.ONEDRIVE.UPLOAD_LIMIT = 'Limited maximum upload speed (KB/s)';
_AS_STRINGS.ONEDRIVE.DOWNLOAD_LIMIT = 'Limited maximum download speed (KB/s)';
_AS_STRINGS.ONEDRIVE.UPLOAD_DOWNLOAD = 'Syncronization Settings';
_AS_STRINGS.ONEDRIVE.KEEP_EXTRA = 'When files are deleted on the source, also delete the corresponding files at the destination.';
_AS_STRINGS.ONEDRIVE.SYNCHRONIZITION = 'Synchronizition (2-way)';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_TO_NAS = 'OneDrive to NAS (one-way)';
_AS_STRINGS.ONEDRIVE.NAS_TO_ONEDRIVE = 'Nas to OneDrive (one-way)';
_AS_STRINGS.ONEDRIVE.FILTER_TEXT = 'File exclusions: Here you can set filtering rules. A file will not be synchronized if it meets any of the conditions configured below.';

//Filter Type
_AS_STRINGS.ONEDRIVE.DOCUMENT = 'Documents';
_AS_STRINGS.ONEDRIVE.VIDEO = 'Video';
_AS_STRINGS.ONEDRIVE.MUSIC = 'Audio';
_AS_STRINGS.ONEDRIVE.PHOTO = 'Images';
_AS_STRINGS.ONEDRIVE.APPLICATION = 'Applications';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_1 = 'Only one filter rule can be added at a time.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_2 = 'Entering *.abc will cause all files with the file extension abc to be excluded.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_3 = 'Entering abc.* will cause all files named abc to be excluded.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_4 = 'Entering *abc* will cause all files with names containing abc to be excluded.';
_AS_STRINGS.ONEDRIVE.FILTER_RULES_5 = 'An asterisk used as a wildcard can only be used at the beginning or the end of a filtering rule, not in the middle of the term.';

//Config panel
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_TEXT = 'Note: Due to Microsoft OneDrive limitations, files in the following circumstances will not be synchronized.';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_RULE1 = '(1) Microsoft OneNote files';
_AS_STRINGS.ONEDRIVE.ONEDRIVE_LIMIT_RULE2 = '(2) For file and folder processing limitations, please click {0}here{1}.';

